/*
 * Copyright (C) 2010 awk4j - https://ja.osdn.net/projects/awk4j/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package plus.exception;

import plus.util.NumHelper;

/**
 * exit 割り込み.
 *
 * @author kunio himei.
 */
public final class ExitException extends RuntimeException {

    //* for Interpreter & Compiler
    public final Object value;

    public ExitException(Object e) {
        super(e == null ? "" : e.toString()); // for Android
        this.value = e;
    }

    public int value() {
        return NumHelper.intValue(value);
    }
}